-- Author      : Fran
-- Create Date : 8/27/2020 2:12:05 AM
local _, L = ...
local difftime = 0
local timer = GetTime();
local totalseconds = 0;
local seconds = 0
local minutes = 0
local timerActive = false

function Time_OnLoad()
	ResetTime:Disable()
	PauseTime:Hide()
	ResumeTime:Hide()
	TimeText:SetText(L["Time"])
	StartTime:SetText(L["Start"])
	PauseTime:SetText(L["Pause"])
	ResumeTime:SetText(L["Resume"])
	ResetTime:SetText(L["Finish"])
end

function resetTimer()
	timerActive = false
    seconds = 0
    minutes = 0
    timer = 0;
    difftime = 0
	totalseconds = 0
	TimerCount:SetText(format(L["Timer"], minutes,seconds ))
end

function StartTime_OnClick()
	resetTimer()
	timer = GetTime()
    timerActive = true
	StartTime:Disable()
	ResetTime:Enable()
	PauseTime:Show()
end

function ResetTime_OnClick()
	resetTimer()
	StartTime:Enable()
	ResetTime:Disable()
	PauseTime:Hide()
	ResumeTime:Hide()
end


function PauseTime_OnClick()
	timerActive = false
    totalseconds = totalseconds + difftime
    difftime = 0;
    seconds = totalseconds % 60
    minutes = totalseconds/60
	TimerCount:SetText(format(L["Timer"], minutes,seconds ))
	PauseTime:Hide()
	ResumeTime:Show()
end

function ResumeTime_OnClick()
	timerActive = true
    timer = math.floor(GetTime())
	PauseTime:Show()
	ResumeTime:Hide()
end

function Time_OnUpdate()
	if timerActive == true then
        local timeup = math.floor(GetTime())
        difftime = (timeup - math.floor(timer))
        seconds = (difftime + totalseconds) % 60
        minutes = (difftime + totalseconds)/60
        TimerCount:SetText(format(L["Timer"], minutes,seconds ))
   end
end


function ClosedTime_OnClick()
	Time:Hide()
end
