-- Author      : Fran
-- Create Date : 8/26/2020 5:46:09 PM
local _, L = ...
local money = 0
local moneynext = 0
local diff = 0
local totalmoney = 0
local inLockdown = false
local activeAddon = false
local moneyActive = false
local instancesRecord = {}

function GoldFrame_OnLoad()
	GoldFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
	GoldFrame:RegisterEvent("PLAYER_MONEY")
	
	-- Iniciar texto y traducciones
	
	InitMoney:SetText(L["InitMoney"])
	EarnedMoney:SetText(L["EarnedMoney"])
	StartMoneyButton:SetText(L["Start"])
	PauseMoneyButton:SetText(L["Pause"])
	ResumeMoneyButton:SetText(L["Resume"])
	ResetMoneyButton:SetText(L["Finish"])

	-- Iniciar estados de los botones
	ResetMoneyButton:Disable()

	InitMoneyFunc()
	


end

function InitMoneyFunc()
	money = GetMoney()
	moneynext = money
	diff = moneynext - money
    totalmoney = diff
	InitGoldCount:SetText(GetCoinTextureString(money))
	EarnedMoneyCount:SetText(GetCoinTextureString(totalmoney))

end

function GoldFrame_OnEvent(event)
	if event == "PLAYER_MONEY" then
		if moneyActive == true then
			moneynext = GetMoney()
			diff = (moneynext - (money + totalmoney));
			local lodiff = diff + totalmoney
			EarnedMoneyCount:SetText(GetCoinTextureString(lodiff,nil))
		end
	end


	--if event == "PLAYER_ENTERING_WORLD" then
	--	local id = (select(8,GetInstanceInfo()))
	--	local name = (select(1,GetInstanceInfo()))
	--	if id == 2215 then
	--		if instancesRecord[id] == nil then
	--			instancesRecord[id] = {["name"] = "", ["money"] = 0}
	--		end
	--		instancesRecord[id]["name"] = name
	--		instancesRecord[id]["money"] = totalmoney
	--	end
	--end
end

function StartMoneyButton_OnClick()
	InitMoneyFunc()
	StartMoneyButton:Disable()
	PauseMoneyButton:Show()
	ResetMoneyButton:Enable()
	moneyActive = true
	--print((select(8,GetInstanceInfo())))
end

function PauseMoneyButton_OnClick()
	totalmoney = totalmoney + diff
	EarnedMoneyCount:SetText(GetCoinTextureString(totalmoney))
    moneyActive = false
	PauseMoneyButton:Hide()
	ResumeMoneyButton:Show()
end

function ResumeMoneyButton_OnClick()
	moneyActive = true
	PauseMoneyButton:Show()
	ResumeMoneyButton:Hide()
end

function ResetMoneyButton_OnClick()
	InitMoneyFunc()
	StartMoneyButton:Enable()
	ResetMoneyButton:Disable()
	PauseMoneyButton:Hide()
	ResumeMoneyButton:Hide()

end


-- Cerrar ventana

function Closed_OnClick()
	GoldFrame:Hide()
end
